#
# spec file for package perl-File-Tail (Version 0.99.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-File-Tail
URL:            http://search.cpan.org/search?module=File::Tail
License:        Artistic License
Group:          Development/Libraries/Perl
Requires:       perl = %{perl_version}
Autoreqprov:    on
Summary:        reading files which are continuously appended
Version:        0.99.3
Release:        12.2
Source:         File-Tail-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The File::Tail module is designed for reading files which are
continously appended to (the name comes from the tail -f directive).
Usually such files are logfiles of some description.



Authors:
--------
    Matija Grabnar

%debug_package
%prep
%setup -n File-Tail-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%dir %{perl_vendorarch}/auto/File
%{perl_vendorarch}/auto/File/Tail
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/Tail.pm
%{_mandir}/man3/*
/var/adm/perl-modules/perl-File-Tail

%changelog -n perl-File-Tail
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 24 2005 - mc@suse.de
- update to version 0.99.3
* Sun Jul 31 2005 - cthiel@suse.de
- update to version 0.99.1
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 - mc@suse.de
- removed auto directory from file list
* Fri Jul 18 2003 - mc@suse.de
- add make test
- add vendorarch changes
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Mon May 19 2003 - mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jul 29 2002 - mls@suse.de
- fix neededforbuild for perl-5.8.0
* Tue Jul 09 2002 - mc@suse.de
- initial release 0.98
